Subject: bug#79001: Retain profile image files generated during build

From: Lynn Winebarger <[email-masked]>
Date: Sat, 12 Jul 2025 23:37:19 -0400

On Sat, Jul 12, 2025 at 11:31 PM Lynn Winebarger <[email-masked]> wrote:
>
> On Sat, Jul 12, 2025 at 6:08 PM Lynn Winebarger <[email-masked]> wrote:
> > However, in a parallel build, I am now seeing the cus-load.el target
> > get run twice simultaneously, so that one instance will exit with a
> > file lock error and stop the build.
>
> I am not sure why the generate-ja-dic target in lisp/Makefile.in
> depends on custom-deps, but that seems to be the cause of the race
> condition.  At least the attached patch appears to eliminate the
> problem (and the random segfaults for that matter) in a parallel make.

Also, I've attached an updated list of generated profile image files.
It appears there are 1684 now.

Lynn